Users
All operations require authentication.
List Ceph usersProduction
Returns the Ceph users of the cluster.
Path parameters
Service name
Response
Key of user to connect into cluster
Type of the user key
AESAES256KCapabilities of user on MDS
Capabilities of user on MON
Name of ceph user
Capabilities of user on OSD
ID of cluster
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN"[ { "key": "string", "keyType": "AES", "mdsCaps": "string", "monCaps": "string", "name": "string", "osdCaps": "string", "serviceName": "string" }]
Get a Ceph userProduction
Returns a Ceph user. Use its key to connect a client to the cluster.
Path parameters
Service name
User name
Response
Key of user to connect into cluster
Type of the user key
AESAES256KCapabilities of user on MDS
Capabilities of user on MON
Name of ceph user
Capabilities of user on OSD
ID of cluster
Example uses serviceName = string, userName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ user/ {userName} \
-H "authorization: Bearer $OVH_TOKEN"{ "key": "string", "keyType": "AES", "mdsCaps": "string", "monCaps": "string", "name": "string", "osdCaps": "string", "serviceName": "string"}
Create a Ceph userProduction
Creates a Ceph user with no pool permissions. The name must contain at least three characters.
Path parameters
Service name
Request body (required)
Type of the generated user key, AES unless given
AESAES256KName of the new user
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a Ceph userProduction
Deletes the Ceph user from the cluster.
Path parameters
Service name
User name
Response
Example uses serviceName = string, userName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ user/ {userName} \
-H "authorization: Bearer $OVH_TOKEN""string"